Bug 203676 - BUG in "tf2zp" in octave 2.9.7
BUG in "tf2zp" in octave 2.9.7
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: octave (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Quentin Spencer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-22 20:15 EDT by Ken
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-25 13:19:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ken 2006-08-22 20:15:00 EDT
Description of problem:

When I run "tf2zp" in Octave 2.9.5 (from Fedora 5 extras), it works fine.  When
I run it in Octave 2.9.7, it computes the wrong results.


Version-Release number of selected component (if applicable):

2.9.7

How reproducible:

NUMs = [ 7.3901e+09 0 0 0 0 ];
DENs = [1 1.5881e+05 6.7287e+09 3.3401e+13 2.6718e+16 5.2957e+18 3.0838e+20];

[Sz, Sp, Sg] = tf2zp(NUMs, DENs);
Sg

Steps to Reproduce:
1. execute above code using octave
  
Actual results:

Sg =  1.3511e+30

Expected results:

Sg =  1.3511e+30 (this is the result from Octave 2.9.5)

Additional info:

I also sent email to "bugs@octave.org"
Comment 1 Ken 2006-08-22 20:18:35 EDT
Correction:

Expected results:

Sg = 7390100000 (this is the result from Octave 2.9.5)
Comment 2 Quentin Spencer 2006-08-25 13:19:28 EDT
Fixed in octave 2.9.8.

Note You need to log in before you can comment on or make changes to this bug.